<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Page;
use App\Slider;
use Illuminate\View\View;

class AboutUsController extends Controller
{

    private $view = 'web.about_us.';
    /**
     * Show the application dashboard.
     * @return View
     */
    public function index(): View
    {

        $pages = Slider::withDescription(null, [6,7]);
        $pageImage = asset($pages[0]->image);
        $title = $pages[0]->title;
        $visionPage = Page::withDescription([4]);
        $briefPage = $pages[1];

        return view($this->view.'index', get_defined_vars());
    }
}
